%global srcname p1_xmlrpc
# Erlang packages do not provide debug subpackages.
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.15.1
Release:    1%{?dist}

License:    BSD
Summary:    Erlang XMLRPC implementation with SSL, cookies, Authentication
URL:        https://github.com/processone/%{srcname}
Source0:    https://github.com/processone/%{srcname}/archive/%{version}.tar.gz

BuildRequires: erlang-rebar


%description
This is an HTTP 1.1 compliant XML-RPC library for Erlang. It is designed to make
it easy to write XML-RPC Erlang clients and/or servers. The library is compliant
with the XML-RPC specification published by http://www.xmlrpc.org/. It is a fork
of erlang-xmlrpc maintained by processone for ejabberd.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%files
%license LICENSE
%doc CHANGELOG.md
%doc examples
%doc README.md
%{erlang_appdir}


%changelog
* Sun Mar 13 2016 Randy Barlow <rbarlow@redhat.com> - 1.15.1-1
- Initial release.
